package de.jaujau.spiellogik;

import de.jaujau.daten.Kartensatz;
import de.jaujau.daten.Spielerdaten;


/**
 * Class Spielzug
 */
public class Spielzug {

  //
  // Fields
  //
	
	/*
	if(zwei_ziehen && legenWert == Wert.SIEBEN) {
		kartensatz.ablegen(kartenindex);
		spiel();
		return;
	}
	if(aussetzen && legenWert == Wert.ACHT) {
		kartensatz.ablegen(kartenindex);
		spiel();
		return;
	}
	if(!aussetzen && !zwei_ziehen) {
		if(legenFarbe == gelegteFarbe) {
			kartensatz.ablegen(kartenindex);
			spiel();
			return;
		}
		if(legenWert == gelegterWert) {
			kartensatz.ablegen(kartenindex);
			spiel();
			return;
		}
	}
	if(aussetzen) {
		spiel();
		aussetzen = false;
	}*/
	
  /**
   * Funktion untersucht, ob der aktuelle Spieler aussetzen oder ziehen muss oder legen kann
   * @return void
   */
  public boolean pruefeZug(int kartenindex) {
	  
	  return true;
  }
  
  //
  // Constructors
  //
  public Spielzug () { };
  
  //
  // Methods
  //


  //
  // Accessor methods
  //

  //
  // Other methods
  //

  /**
   * @param        spieler
   * @param        kartensatz
   */
  public static void legen(Spielerdaten spieler, Kartensatz kartensatz)
  {
  }


  /**
   * @param        spieler
   * @param        kartensatz
   */
  public static void aussetzen(Spielerdaten spieler, Kartensatz kartensatz)
  {
  }


  /**
   * @param        spieler
   * @param        kartensatz
   * @param        anzahl
   */
  public static void ziehen(Spielerdaten spieler, Kartensatz kartensatz, int anzahl)
  {
  }


}
